diff -ru xmysqladmin-1.0/Makefile xmysqladmin-1.0-new/Makefile
--- xmysqladmin-1.0/Makefile	Mon Dec  7 06:52:39 1998
+++ xmysqladmin-1.0-new/Makefile	Fri Feb 15 22:51:22 2002
@@ -33,8 +33,7 @@
 # PROGRAM (executable) install path
 # This is used by 'make install' command
 #-------------------------------------------------------
-#INSTALLPATH = /opt/local/i386/bin
-INSTALLPATH = /usr/local/bin
+INSTALLPATH = $(FINK_INSTALL_PREFIX)/bin
 ########################################################
 
 
@@ -45,7 +44,7 @@
 # pixmap file location (mysql.xpm)
 #-------------------------------------------------------
 #PIXMAPPATH = /opt/local/lib
-PIXMAPPATH = /usr/local/bin
+PIXMAPPATH = $(FINK_PREFIX)/share/pixmaps
 ########################################################
 
 
@@ -80,11 +79,13 @@
 # Compilation Details
 # hum... I think you dont need to change this
 #-------------------------------------------------------
-CC = gcc
+CC = cc
 STDCFLAGS = -g -c -O2 -Wall -DPIXMAPFILE=\"$(PIXMAPPATH)/mysql.xpm\" \
             -DBACKUP=\"$(BACKUP)\" -DBACKUPDIR=\"$(BACKUPDIR)\" \
             -DBACKUPSUFFIX=\"$(BACKUPSUFFIX)\" \
-            -DMYSQL_VERSION=$(MYSQL_VERSION)
+            -DMYSQL_VERSION=$(MYSQL_VERSION) \
+	-DSERVER=\"$(FINK_PREFIX)/share/mysql/mysql.server\" 
+
 STDLFLAGS = 
 ########################################################
 
@@ -95,7 +96,7 @@
 ########################################################
 # mysql include dir 
 #-------------------------------------------------------
-MYSQLINC = -I/usr/local/mysql/include/mysql
+MYSQLINC = -I$(FINK_PREFIX)/include/mysql
 ########################################################
 
 
@@ -107,7 +108,7 @@
 # mysql database dir
 #-------------------------------------------------------
 #MYSQLDBDIR = -DMYSQLDBDIR="\"/var/lib/mysql/\""
-MYSQLDBDIR = -DMYSQLDBDIR="\"/usr/local/mysql/var/\""
+MYSQLDBDIR = -DMYSQLDBDIR="\"$(FINK_PREFIX)/var/mysql\""
 ########################################################
 
 
@@ -118,7 +119,7 @@
 ########################################################
 # mysql library dir
 #-------------------------------------------------------
-MYSQLLOAD = -Wl,-R/usr/local/mysql/lib/mysql -L/usr/local/mysql/lib/mysql -lmysqlclient
+MYSQLLOAD = -Wl,-L$(FINK_PREFIX)/lib/mysql -L$(FINK_PREFIX)/lib/mysql -lmysqlclient
 ########################################################
 
 
@@ -129,7 +130,7 @@
 # xforms librairies dir
 #-------------------------------------------------------
 #XFORMLIBDIR = -L/opt/local/i386/lib
-XFORMLIBDIR = -L/usr/lib
+XFORMLIBDIR = -L$(FINK_PREFIX)/lib
 ########################################################
 
 
@@ -141,7 +142,7 @@
 # xforms include dir (xforms.h)
 #-------------------------------------------------------
 #XFORMINCDIR = -I/opt/local/include
-XFORMINCDIR = -I/usr/X11R6/include
+XFORMINCDIR = -I$(FINK_PREFIX)/include -I/usr/X11R6/include
 ########################################################
 
 
@@ -157,7 +158,7 @@
 
 # Use this for Linux:
 XINC =
-XLOAD = -L/usr/X11R6/lib -lX11 /usr/X11R6/lib/libXpm.so.4
+XLOAD = -L/usr/X11R6/lib -lX11 -lXpm
 ########################################################
 
 
@@ -216,7 +217,7 @@
 	$(CC) -o ${PROGRAM} $(OBJS) $(MYSQLINC) $(XFORMINCDIR) \
 	$(XINC) $(STDLFLAGS) $(MYSQLLOAD) \
 	$(XLOAD) $(XFORMLIBDIR) -lforms $(LIBS)
-	./$(PROGRAM)
+
 
 .c.o:
 	$(CC) $*.c $(STDCFLAGS) $(XFORMINCDIR) $(MYSQLINC) $(MYSQLDBDIR) $(XINC)
@@ -224,10 +225,12 @@
 clean:
 	rm -f ${PROGRAM} $(OBJS) 
 
-install:
+install: $(PROGRAM)
 	strip $(PROGRAM)
-	$(INSTALL) -m 711 $(PROGRAM) $(INSTALLPATH)
-	cp mysql.xpm $(PIXMAPPATH)
+	$(INSTALL) -d -m 755 $(FINK_INSTALL_PREFIX)/bin
+	$(INSTALL) -c -m 755 $(PROGRAM) $(FINK_INSTALL_PREFIX)/bin
+	$(INSTALL) -d -m 755 $(FINK_INSTALL_PREFIX)/share/pixmaps
+	$(INSTALL) -c  -m 644 mysql.xpm $(FINK_INSTALL_PREFIX)/share/pixmaps
 
 version:
 	rm -f $(PROGRAM) $(OBJS) *.bak
diff -ru xmysqladmin-1.0/isamchk.c xmysqladmin-1.0-new/isamchk.c
--- xmysqladmin-1.0/isamchk.c	Mon Jun  8 09:31:19 1998
+++ xmysqladmin-1.0-new/isamchk.c	Fri Feb 15 23:30:23 2002
@@ -239,16 +239,22 @@
 
 void main_startServer(FL_OBJECT *obj, long data)
 {
-  if(!fl_show_question("Server will be start\nDo you want to continue?", 0))
+  char buffer[1024];
+  strncpy(buffer, SERVER,strlen(SERVER));
+  strcat(buffer," start");
+  if(!fl_show_question("Server will be started\nDo you want to continue?", 0))
     return;
   fl_show_command_log(FL_TRANSIENT);
-  fl_exe_command("mysql.server start", 1);
+  fl_exe_command(buffer, 1);
 }
 void main_stopServer(FL_OBJECT *obj, long data)
 {
-  if(!fl_show_question("Server will be stop\nDo you want to continue?", 0))
+char buffer[1024];
+  strncpy(buffer, SERVER, strlen(SERVER));
+  strcat(buffer," stop");
+    if(!fl_show_question("Server will be stopped \nDo you want to continue", 0))
     return;
   fl_show_command_log(FL_TRANSIENT);
-  fl_exe_command("mysql.server stop", 1);
+  fl_exe_command(buffer,  1);
 }
 
